カテゴリー : EC-CUBE

【EC-CUBE】Deprecatedがたくさん出る件

PHP5.3でEC-CUBEをインストールしたとき、Deprecatedがごっそり出ました。。。

これはきついですね、、、

php.iniや.htaccessで変更できない場合があるので、
EC-CUBE内で完結できる方法をメモ。

data/class/SC_Initial.phpのerror_reportingを下記に変更する。

function setErrorReporting() {
error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);
}

割と簡単。